/**
 * title: "带文字链接"
 * description: "通过 open 方法唤起提醒， 提醒内容content 支持定制"
 */
import React from 'react';
import { Button, Notification } from '@alicloud/console-components';
var openNotification = function (type, content) {
    if (content === void 0) { content = '提醒内容置于页面右上，边距各8px'; }
    Notification.open({
        content: content,
        type: type,
        duration: 100000,
    });
};
export default (function () {
    return (React.createElement(Button, { type: "primary", onClick: function () {
            return openNotification('notice', React.createElement(React.Fragment, null,
                "\u8FD0\u8425\u7C7B\u4FE1\u606F\u6216\u63D0\u793A\u7C7B\u4FE1\u606F ",
                React.createElement("a", { href: "/" }, "\u6587\u5B57\u94FE\u63A5")));
        } }, "\u5E26\u6587\u5B57\u94FE\u63A5"));
});
